## pari 2.7.1

=== debian/changelog ===
pari (2.7.1-1) unstable; urgency=low

  * New bugfix upstream release
  * debian/rules:
    - run the test-suite for the shared library also
    - use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Fri, 16 May 2014 19:09:00 +0200

pari (2.7.0-2) unstable; urgency=medium

  * debian/rules:
    - libpari.so ended up in the wrong package.

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Apr 2014 14:36:38 +0200

pari (2.7.0-1) unstable; urgency=low

  * New upstream release
    - patch fix_pari_init_functions: removed
  * debian/control:
    - libpari-gmp3 replaced by libpari-gmp-tls4
    - Bump Standards-Version to 3.9.5.
  * Add POSIX thread support:
    + debian/rules:
      - Add --mt=pthread to Configure
      - link gp statically with libpari to avoid performance penalty
        caused by TLS.
  * Multiarchify libpari-dev:
    - make libpari-dev Multi-Arch: same
  * debian/rules:
    - clean up clean target
    - move pari.dsc and header files to /usr/include/triplet/
    - Add -Wl,-z,relro to LDFLAGS

 -- Bill Allombert <ballombe@debian.org>  Thu, 27 Mar 2014 00:18:08 +0100
