## pari 2.7.2

=== debian/changelog ===
pari (2.7.2-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Bill Allombert <ballombe@debian.org>  Wed, 01 Oct 2014 13:01:01 +0000

pari (2.7.2-1) unstable; urgency=low

  * New upstream release
   - Fix: "incorrect rounding in mulrr/divrr for one-word precision reals"
     Closes: #751042
  * debian/rules:
    - Add CPU mapping for ppc64el

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Sep 2014 11:12:37 +0200
