=== debian/control ===
Source: pari
Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libgmp-dev
Build-Depends-Indep: texlive-base
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Standards-Version: 3.9.5
Homepage: http://pari.math.u-bordeaux.fr
 
Package: pari-gp
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pari-doc, pari-galdata, pari-elldata, pari-seadata
Suggests: pari-gp2c, pari-galpol
Description: PARI/GP Computer Algebra System binaries
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the GP calculator.

Package: libpari-dev
Architecture: any
Section: libdevel
Provides: libpari-gmp-tls4-dev
Replaces: libpari1-dev
Conflicts: libpari1-dev
Depends: libpari-gmp-tls4 (= ${binary:Version}), libc-dev, ${misc:Depends}
Suggests: libpari-dbg, pari-gp2c
Multi-Arch: same
Description: PARI/GP Computer Algebra System development files
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the include files and static library.

Package: libpari-dbg
Architecture: any
Priority: extra
Section: debug
Provides: libpari-gmp-tls4-dbg
Depends: libpari-gmp-tls4 (= ${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: PARI/GP Computer Algebra System debugging symbols
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the debugging symbols for gp and libpari.

Package: libpari-gmp-tls4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PARI/GP Computer Algebra System shared library
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the shared library built with GNU MP support.

Package: pari-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: pari-gp,${perl:Depends},texlive-base
Description: PARI/GP Computer Algebra System documentation
 PARI/GP is a widely used computer algebra system designed for fast
 computations in number theory (factorizations, algebraic number theory,
 elliptic curves...), but also contains a large number of other useful
 functions to compute with mathematical entities such as matrices,
 polynomials, power series, algebraic numbers etc., and a lot of
 transcendental functions. PARI is also available as a C library to allow
 for faster computations.
 .
 Originally developed by Henri Cohen and his co-workers (University Bordeaux I,
 France), PARI is now under the GPL and maintained by Karim Belabas
 with the help of many volunteer contributors.
 .
 This package contains the documentation and the extended online help.
