=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 #Catch mips/mipsel
 PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))
 #Catch powerpc/powerpc64
+PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc64le),ppc,$(PARI_CPU))
 PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc64),ppc,$(PARI_CPU))
 #Catch s390/s390x
 PARI_CPU:=$(if $(findstring $(PARI_CPU),s390x),s390,$(PARI_CPU))
