## pari 2.7.3

=== debian/changelog ===
pari (2.7.3-1~bpo7+1) wheezy-backports-sloppy; urgency=low

  * Rebuild for wheezy-backports-sloppy

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Jun 2015 16:12:19 +0000

pari (2.7.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.6.
  * debian/rules:
    - use gzip --no-name

 -- Bill Allombert <ballombe@debian.org>  Mon, 27 Apr 2015 14:37:19 +0200
