## pari 2.7.4

=== debian/changelog ===
pari (2.7.4-2) unstable; urgency=low

  * Apply upstream fix for perl 5.22 compatibility:
    - perl-warning-non-fatal: make perl warning non fatal.
    - fix-gphelp-regexps, fix-docmake-regexps: 
      Closes: #789735. Thanks Dominic Hargreaves

 -- Bill Allombert <ballombe@debian.org>  Fri, 31 Jul 2015 00:43:08 +0200

pari (2.7.4-1) unstable; urgency=low

  * New upstream release. 
    - Fix GET_SEP_SIZE. Closes: #763303. Thanks Jerome Benoit

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Jun 2015 17:22:05 +0200
