## pari 2.7.5

=== debian/changelog ===
pari (2.7.5-1) unstable; urgency=low

  * New upstream release
    - patch fix-gphelp-regexps, fix-docmake-regexps: applied upstream

 -- Bill Allombert <ballombe@debian.org>  Mon, 09 Nov 2015 21:47:40 +0100
