=== debian/rules ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	dh_prep -i -Xnumber_theoretical/core
 	dh_installdirs -i
 	$(MAKE) -C obj-dyn install-doc install-docpdf DESTDIR=`pwd`/debian/pari-doc/
-	gzip --best debian/pari-doc/usr/share/pari/doc/*.pdf
+	gzip --best --no-name debian/pari-doc/usr/share/pari/doc/*.pdf
 	dh_install -i
 	dh_installman -i
