=== debian/watch ===
# Site				Directory	Pattern		Version	Script
version=2
http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-(.*)\.tar\.gz	debian	uupdate
