## pari 2.7.6

=== debian/changelog ===
pari (2.7.6-1build2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2016 10:25:58 +0000

pari (2.7.6-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:07:29 +0000

pari (2.7.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules: set SOURCE_DATE_EPOCH and LC_ALL
  * debian/control:
    - Bump Standards-Version to 3.9.7.
  * debian/rules:
    - Remove TOP from pari.cfg/pari.cfg.dbg

 -- Bill Allombert <ballombe@debian.org>  Tue, 21 Jun 2016 12:40:52 +0200
