=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
+export LC_ALL = C
 #Architecture 
 #PARI use sparcv8_micro for Debian/sparc and sparcv9 for Debian/sparc64
 #
@@ -117,7 +119,10 @@
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
 	mv debian/$(libpkg)/$(libtriplet)/libpari.so debian/libpari-dev/$(libtriplet)
 	dh_install -a
-	install -p -m 644 obj-dbg/pari.cfg debian/libpari-dev/$(libtriplet)/pari/pari.cfg.dbg
+	sed -ne '/^TOP=/ !p' < obj-dyn/pari.cfg > obj-dyn/pari.cfg.deb
+	install -p -m 644 obj-dyn/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg
+	sed -ne '/^TOP=/ !p' < obj-dbg/pari.cfg > obj-dbg/pari.cfg.deb
+	install -p -m 644 obj-dbg/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg
