## pari 2.9.1

=== debian/changelog ===
pari (2.9.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Add CPU mapping for mips64el
    - Install usptream changelog correctly
  * debian/pari-doc.doc-base.*:
    - PDF files are not compressed anymore

 -- Bill Allombert <ballombe@debian.org>  Thu, 01 Dec 2016 10:38:37 +0100

pari (2.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #835027)
  * debian/pari-doc.links:
    - Add link to example dir (Closes: #836309)

 -- Bill Allombert <ballombe@debian.org>  Tue, 01 Nov 2016 19:57:18 +0100

pari (2.9.0~pre1-1) experimental; urgency=medium

  * Upstream prerelease (based on pari 2.8.1)
    - patch perl-no-dot-in-inc removed: merged upstream
  * Replace libpari-dbg by dbgsym packages.
  * Move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Sat, 22 Oct 2016 18:50:10 +0200

pari (2.7.6-2) unstable; urgency=medium
  
  * New patch: perl-no-dot-in-inc from upstream
    - Fix "FTBFS with '.' removed from perl's @INC":
    (Closes: #835353) Thanks Gregor Herrmann for the help!

 -- Bill Allombert <ballombe@debian.org>  Mon, 05 Sep 2016 22:18:07 +0200
