=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc64),sparcv9,$(PARI_CPU))
 #Catch mips/mipsel
 PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))
+PARI_CPU:=$(if $(findstring $(PARI_CPU),mips64el),mips64,$(PARI_CPU))
 #Catch powerpc/powerpc64
 PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc64le),ppc,$(PARI_CPU))
 PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc64),ppc,$(PARI_CPU))
@@ -36,7 +37,7 @@
 CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
 endif
 
-libpkg = libpari-gmp-tls4
+libpkg = libpari-gmp-tls5
 libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 inctriplet = usr/include/$(DEB_HOST_MULTIARCH)
 
@@ -85,7 +86,6 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp config-stamp
 	if [ -f doc/Makefile ]; then $(MAKE) clean -C doc; fi
 	-rm -rf obj-dyn obj-sta obj-dbg
 	-rm -f gp Makefile* examples/Makefile* 
@@ -102,7 +102,6 @@
 	dh_prep -i -Xnumber_theoretical/core
 	dh_installdirs -i
 	$(MAKE) -C obj-dyn install-doc install-docpdf DESTDIR=`pwd`/debian/pari-doc/
-	gzip --best --no-name debian/pari-doc/usr/share/pari/doc/*.pdf
 	dh_install -i
 	dh_installman -i
 
@@ -125,8 +124,8 @@
 	install -p -m 644 obj-dbg/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
-	dh_strip -a --dbg-package=libpari-dbg
-	dh_makeshlibs -a -V '$(libpkg) (>= 2.5.0-1)'
+	dh_strip -a
+	dh_makeshlibs -a -V '$(libpkg) (>= 2.9.0~pre1-1)'
 	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
@@ -134,10 +133,10 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installdocs
+	dh_installdocs CHANGES-2.8
 	dh_installexamples
 	dh_installmenu
-	dh_installchangelogs CHANGES-2.6
+	dh_installchangelogs CHANGES
 	dh_link
 	dh_compress -Xparimacro
 	dh_fixperms
