## pari 2.9.3

=== debian/changelog ===
pari (2.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 4.0.0.

 -- Bill Allombert <ballombe@debian.org>  Fri, 14 Jul 2017 00:38:06 +0200
