=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
