=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export FORCE_SOURCE_DATA = 1
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 export LC_ALL = C
 #Architecture
