## pari 2.9.4

=== debian/changelog ===
pari (2.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Fix FORCE_SOURCE_DATE typo
  * debian/control:
    - Bump Standards-Version to 4.1.2.
    - Remove Conflicts with libpari1/libpari1-dev
    - Replace Suggests: libpari-dbg by debugsym variant

 -- Bill Allombert <ballombe@debian.org>  Tue, 19 Dec 2017 12:08:42 +0100
