=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
@@ -32,10 +32,8 @@
 Architecture: any
 Section: libdevel
 Provides: libpari-gmp-tls5-dev
-Replaces: libpari1-dev
-Conflicts: libpari1-dev
 Depends: libpari-gmp-tls5 (= ${binary:Version}), libc-dev, ${misc:Depends}
-Suggests: libpari-dbg, pari-gp2c
+Suggests: libpari-gmp-tls5-dbgsym, pari-gp2c
 Multi-Arch: same
 Description: PARI/GP Computer Algebra System development files
  PARI/GP is a widely used computer algebra system designed for fast
