## pari 2.11.0

=== debian/changelog ===
pari (2.11.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Build-Depends-Indep on texlive-latex-base
    - Bump Standards-Version to 4.1.5.
  * debian/watch: use https URL.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Jul 2018 00:39:32 +0200

pari (2.9.5-1) unstable; urgency=medium

  * New upstream release
    - Fix problem when converting integers to double, especially on mips.
      Closes : #889674. Thanks Tobias Hansen 
  * debian/rules:
   - run the full test-suite (experimental).

 -- Bill Allombert <ballombe@debian.org>  Fri, 18 May 2018 15:43:28 +0200
