=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pari
-Build-Depends: debhelper (>= 9), libreadline-dev, libx11-dev, libgmp-dev
-Build-Depends-Indep: texlive-base
+Build-Depends: debhelper (>= 9), libreadline-dev, libx11-dev, libgmp-dev, pari-galdata, pari-elldata, pari-seadata, pari-galpol
+Build-Depends-Indep: texlive-base, texlive-latex-base
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
@@ -31,9 +31,9 @@
 Package: libpari-dev
 Architecture: any
 Section: libdevel
-Provides: libpari-gmp-tls5-dev
-Depends: libpari-gmp-tls5 (= ${binary:Version}), libc-dev, ${misc:Depends}
-Suggests: libpari-gmp-tls5-dbgsym, pari-gp2c
+Provides: libpari-gmp-tls6-dev
+Depends: libpari-gmp-tls6 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Suggests: libpari-gmp-tls6-dbgsym, pari-gp2c
 Multi-Arch: same
 Description: PARI/GP Computer Algebra System development files
  PARI/GP is a widely used computer algebra system designed for fast
@@ -50,7 +50,7 @@
  .
  This package contains the include files and static library.
 
-Package: libpari-gmp-tls5
+Package: libpari-gmp-tls6
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
