=== debian/watch ===
# Site				Directory	Pattern		Version	Script
version=2
https://pari.math.u-bordeaux.fr/pub/pari/unix/pari-(.*)\.tar\.gz	debian	uupdate
