## pari 2.11.1

=== debian/changelog ===
pari (2.11.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:12:10 +0800

pari (2.11.1-2) unstable; urgency=medium

  * New patch
    - fix-parapply: from upstream: fix memory corruption in parapply

 -- Bill Allombert <ballombe@debian.org>  Fri, 25 Jan 2019 17:50:12 +0100

pari (2.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix F19: fix crash of graphic engine. (Closes: #910775)
    - new patch fix-gzip-path: do not hard code path to gzip.
      to support merged /usr system. (Closes: #914089)
  * debian/watch, debian/upstream/signing-key.asc:
    - enable OpenPGP verification of upstream source with uscan.
      Thanks John Scott. (Closes: #905458)
  * debian/control:
    - pari-doc: set Multi-Arch: foreign
    - Bump Standards-Version to 4.2.1.

 -- Bill Allombert <ballombe@debian.org>  Sun, 02 Dec 2018 17:05:03 +0100
