=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
@@ -74,6 +74,7 @@
 Package: pari-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: pari-gp,${perl:Depends},texlive-base
 Description: PARI/GP Computer Algebra System documentation
