## pari 2.11.2

=== debian/changelog ===
pari (2.11.2-2) unstable; urgency=medium

  * Source-only upload 

 -- Bill Allombert <ballombe@debian.org>  Fri, 12 Jul 2019 10:53:51 +0200

pari (2.11.2-1) unstable; urgency=medium

  * New upstream release
  * patch fix-parapply: removed, applied usptream
  * debian/gprc.dft: add threadsizemax

 -- Bill Allombert <ballombe@debian.org>  Mon, 08 Jul 2019 18:27:21 +0200
