=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
 endif
 
-libpkg = libpari-gmp-tls5
+libpkg = libpari-gmp-tls6
 libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 inctriplet = usr/include/$(DEB_HOST_MULTIARCH)
 
@@ -75,14 +75,14 @@
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C obj-dyn gp-dyn
 	$(MAKE) dobench -C obj-dyn
-	$(MAKE) -C obj-sta gp-sta
 	$(MAKE) dobench -C obj-sta
+	$(MAKE) statest-all -C obj-dyn || true
 endif
 	touch build-arch-stamp
 
 build-indep: build-indep-stamp
 build-indep-stamp: config-stamp
-	$(MAKE) doc docpdf
+	$(MAKE) doc docpdf TEX=etex
 	touch build-indep-stamp
 clean:
 	dh_testdir
@@ -126,7 +126,7 @@
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a
-	dh_makeshlibs -a -V '$(libpkg) (>= 2.9.0~pre1-1)'
+	dh_makeshlibs -a -V '$(libpkg) (>= 2.11.0-1)'
 	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
