## pari 2.11.4

=== debian/changelog ===
pari (2.11.4-3) unstable; urgency=medium

  * debian/rules:
    - do not set -fdebug-prefix-map in pari.cfg for reproducibility.

 -- Bill Allombert <ballombe@debian.org>  Sat, 27 Jun 2020 18:40:54 +0200

pari (2.11.4-2) unstable; urgency=medium

  * debian/rules:
    - CFLAGS: use -fdebug-prefix-map
    - Correctly build libpari.a without -flto

 -- Bill Allombert <ballombe@debian.org>  Sat, 20 Jun 2020 11:53:44 +0200

pari (2.11.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Compile gp with -flto. This alleviates performance issues caused by
      the use of thread local storage.

 -- Bill Allombert <ballombe@debian.org>  Fri, 17 Apr 2020 15:57:09 +0200

pari (2.11.4~pre1-1) unstable; urgency=low

  * New upstream prerelease
    - Fix upstream bug #2208 (incorrect sign of units). Closes: #953633.
  * debian/control:
    - Bump Standards-Version to 4.5.0.
    - Build-Depends on debhelper-compat (= 12)
  * debian/compat: removed
  * debian/rules: install CHANGES-2.10 too

 -- Bill Allombert <ballombe@debian.org>  Fri, 03 Apr 2020 12:00:22 +0200

pari (2.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Tue, 03 Mar 2020 09:31:47 +0000
