=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pari
-Build-Depends: debhelper (>= 9), libreadline-dev, libx11-dev, libgmp-dev, pari-galdata, pari-elldata, pari-seadata, pari-galpol
+Build-Depends: debhelper-compat (= 12), libreadline-dev, libx11-dev, libgmp-dev,
+               pari-galdata, pari-elldata, pari-seadata, pari-galpol
 Build-Depends-Indep: texlive-base, texlive-latex-base
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
