=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,18 @@
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-DBGCFLAGS = -g -O0 -Wall -fno-strict-aliasing
+CFLAGS_DBG = -g -O0 -Wall -fno-strict-aliasing
+
+DBGMAP = -fdebug-prefix-map=$(CURDIR)=.
 LDFLAGS = -Wl,-z,relro
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = $(DBGCFLAGS)
+CFLAGS_NOMAP = $(DBGCFLAGS)
+CFLAGS = $(CFLAGS_NOMAP) $(DBGMAP)
+CFLAGS_LTO = $(CFLAGS)
 else
-CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
+CFLAGS_NOMAP = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
+CFLAGS = $(CFLAGS_NOMAP) $(DBGMAP)
+CFLAGS_LTO = $(CFLAGS) -flto
 endif
 
 libpkg = libpari-gmp-tls6
@@ -53,13 +59,25 @@
             --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
             --includedir=/$(inctriplet) \
             --builddir=obj-dyn --graphic=X11 --with-gmp 
+	CC=cc CFLAGS="$(CFLAGS_NOMAP)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
+	  ./Configure --mt=pthread\
+            --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
+            --includedir=/$(inctriplet) \
+            --builddir=obj-cfg --graphic=X11 --with-gmp 
 	CC=cc CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
             --includedir=/$(inctriplet) \
             --builddir=obj-sta --graphic=X11 --with-gmp
-	CC=cc CFLAGS="$(DBGCFLAGS)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
+	CC=cc CFLAGS="$(CFLAGS_LTO)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
+	  ./Configure --mt=pthread \
+            --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
+            --includedir=/$(inctriplet) \
+            --builddir=obj-lto --graphic=X11 --with-gmp
+	CC=cc CFLAGS="$(CFLAGS_DBG)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
@@ -71,7 +89,7 @@
 build-arch-stamp: config-stamp
 	$(MAKE) -C obj-dyn lib-dyn #"LIBS=-lc -lm -lgmp"
 	$(MAKE) -C obj-sta lib-sta DLCFLAGS=
-	$(MAKE) -C obj-sta gp-sta RUNPTH=
+	$(MAKE) -C obj-lto gp-sta RUNPTH=
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C obj-dyn gp-dyn
 	$(MAKE) dobench -C obj-dyn
@@ -88,7 +106,7 @@
 	dh_testdir
 	dh_testroot
 	if [ -f doc/Makefile ]; then $(MAKE) clean -C doc; fi
-	-rm -rf obj-dyn obj-sta obj-dbg
+	-rm -rf obj-dyn obj-sta obj-dbg obj-lto obj-cfg
 	-rm -f gp Makefile* examples/Makefile* 
 	-rm -f doc/Makefile doc/gphelp doc/paricfg.tex
 	-rm -f misc/tex2mail
@@ -111,7 +129,7 @@
 	dh_testroot
 	dh_prep -a -Xnumber_theoretical/core
 	dh_installdirs -a
-	$(MAKE) -C obj-sta install-bin-sta install-man LIBS="-lm" RLLIBS=-lreadline STRIP=true RUNPTH_FINAL= DESTDIR=`pwd`/debian/pari-gp
+	$(MAKE) -C obj-lto install-bin-sta install-man LIBS="-lm" RLLIBS=-lreadline STRIP=true RUNPTH_FINAL= DESTDIR=`pwd`/debian/pari-gp
 	rm debian/pari-gp/usr/share/man/man1/gphelp.1
 	test ! -d debian/pari-gp/usr/lib
 	$(MAKE) -C obj-dyn install-lib-dyn DESTDIR=`pwd`/debian/$(libpkg)
@@ -119,8 +137,8 @@
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
 	mv debian/$(libpkg)/$(libtriplet)/libpari.so debian/libpari-dev/$(libtriplet)
 	dh_install -a
-	sed -ne '/^TOP=/ !p' < obj-dyn/pari.cfg > obj-dyn/pari.cfg.deb
-	install -p -m 644 obj-dyn/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg
+	sed -ne '/^TOP=/ !p' < obj-cfg/pari.cfg > obj-cfg/pari.cfg.deb
+	install -p -m 644 obj-cfg/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg
 	sed -ne '/^TOP=/ !p' < obj-dbg/pari.cfg > obj-dbg/pari.cfg.deb
 	install -p -m 644 obj-dbg/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
@@ -134,7 +152,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installdocs CHANGES-2.8
+	dh_installdocs -p pari-gp CHANGES-2.10 CHANGES-2.8
 	dh_installexamples
 	dh_installmenu
 	dh_installchangelogs CHANGES
