## pari 2.13.1

=== debian/changelog ===
pari (2.13.1-1) unstable; urgency=medium

  * New upstream release
  * patch fix-gzip-path replaced by no_harcode_path
  * debian/rules:
    - test option nocheck instead of notest. Thanks John Scott.
    - Do not override CC variable. Closes: #979523. Thanks John Scott
  * debian/watch: use format 3

 -- Bill Allombert <ballombe@debian.org>  Mon, 25 Jan 2021 11:19:31 +0100

pari (2.13.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Bill Allombert <ballombe@debian.org>  Wed, 28 Oct 2020 17:38:43 +0100

pari (2.13.0-1) experimental; urgency=medium

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Oct 2020 23:30:16 +0200
