=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
 Package: libpari-dev
 Architecture: any
 Section: libdevel
-Provides: libpari-gmp-tls6-dev
-Depends: libpari-gmp-tls6 (= ${binary:Version}), libc-dev, ${misc:Depends}
-Suggests: libpari-gmp-tls6-dbgsym, pari-gp2c
+Provides: libpari-gmp-tls7-dev
+Depends: libpari-gmp-tls7 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Suggests: libpari-gmp-tls7-dbgsym, pari-gp2c
 Multi-Arch: same
 Description: PARI/GP Computer Algebra System development files
  PARI/GP is a widely used computer algebra system designed for fast
@@ -51,7 +51,7 @@
  .
  This package contains the include files and static library.
 
-Package: libpari-gmp-tls6
+Package: libpari-gmp-tls7
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
