=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 PARI_SYSTEM:=$(patsubst linux-gnu%,linux,$(PARI_SYSTEM))
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 CFLAGS_DBG = -g -O0 -Wall -fno-strict-aliasing
 
@@ -44,7 +45,15 @@
 CFLAGS_LTO = $(CFLAGS) -flto
 endif
 
-libpkg = libpari-gmp-tls6
+export PATH := $(CURDIR)/debian/path/:$(PATH)
+
+ifeq ($(origin CC),default)
+CC := `which $(DEB_HOST_GNU_TYPE)-gcc`
+else
+CC := `which $(CC)`
+endif
+
+libpkg = libpari-gmp-tls7
 libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 inctriplet = usr/include/$(DEB_HOST_MULTIARCH)
 
@@ -52,6 +61,7 @@
 
 config: config-stamp
 config-stamp:
+	mkdir -p debian/path && ln -s $(CC) debian/path/cc
 	dh_testdir
 	CC=cc CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread\
@@ -90,7 +100,7 @@
 	$(MAKE) -C obj-dyn lib-dyn #"LIBS=-lc -lm -lgmp"
 	$(MAKE) -C obj-sta lib-sta DLCFLAGS=
 	$(MAKE) -C obj-lto gp-sta RUNPTH=
-ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C obj-dyn gp-dyn
 	$(MAKE) dobench -C obj-dyn
 	$(MAKE) dobench -C obj-sta
@@ -112,6 +122,7 @@
 	-rm -f misc/tex2mail
 	-rm -f pari.log
 	-rm -f src/desc/pari.desc
+	-rm -rf debian/path
 	dh_clean -Xnumber_theoretical/core
 
 install: install-indep install-arch
@@ -144,7 +155,7 @@
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a
-	dh_makeshlibs -a -V '$(libpkg) (>= 2.11.0-1)'
+	dh_makeshlibs -a -V '$(libpkg)'
 	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
