## pari 2.13.3

=== debian/changelog ===
pari (2.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix broken symlink /usr/share/doc/pari-gp/examples/Makefile. 
    Thanks Andreas Beckmann. Closes: #985698

 -- Bill Allombert <ballombe@debian.org>  Mon, 25 Oct 2021 18:55:44 +0200
