=== debian/rules ===
--- 
+++ 
@@ -134,6 +134,7 @@
 	$(MAKE) -C obj-dyn install-doc install-docpdf DESTDIR=`pwd`/debian/pari-doc/
 	dh_install -i
 	dh_installman -i
+	dh_installexamples -i
 
 install-arch:
 	dh_testdir
@@ -157,6 +158,9 @@
 	dh_strip -a
 	dh_makeshlibs -a -V '$(libpkg)'
 	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
+	dh_installexamples -a
+	rm debian/pari-gp/usr/share/doc/pari-gp/examples/Makefile
+	install -p -m 644 obj-cfg/Makefile.examples debian/pari-gp/usr/share/doc/pari-gp/examples/Makefile
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
 # in another 'make' thread.
@@ -164,7 +168,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -p pari-gp CHANGES-2.10 CHANGES-2.8
-	dh_installexamples
 	dh_installmenu
 	dh_installchangelogs CHANGES
 	dh_link
