## pari 2.13.4

=== debian/changelog ===
pari (2.13.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Bump Standards-Version to 4.6.0.
    - Build-Depends on debhelper-compat (= 13)

 -- Bill Allombert <ballombe@debian.org>  Tue, 05 Apr 2022 17:34:10 +0200
