=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: pari
-Build-Depends: debhelper-compat (= 12), libreadline-dev, libx11-dev, libgmp-dev,
+Build-Depends: debhelper-compat (= 13), libreadline-dev, libx11-dev, libgmp-dev,
                pari-galdata, pari-elldata, pari-seadata, pari-galpol
 Build-Depends-Indep: texlive-base, texlive-latex-base
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://pari.math.u-bordeaux.fr
- 
+Rules-Requires-Root: no
+
 Package: pari-gp
 Architecture: any
 Section: math
