=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/make -f 
+#!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 # Adapted for the PARI Debian package by Bill Allombert 2001-2011
@@ -11,7 +11,7 @@
 export FORCE_SOURCE_DATE = 1
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 export LC_ALL = C
-#Architecture 
+#Architecture
 #PARI use sparcv8_micro for Debian/sparc and sparcv9 for Debian/sparc64
 #
 PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
@@ -57,7 +57,7 @@
 libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 inctriplet = usr/include/$(DEB_HOST_MULTIARCH)
 
-build: build-arch 
+build: build-arch
 
 config: config-stamp
 config-stamp:
@@ -68,13 +68,13 @@
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
             --includedir=/$(inctriplet) \
-            --builddir=obj-dyn --graphic=X11 --with-gmp 
+            --builddir=obj-dyn --graphic=X11 --with-gmp
 	CC=cc CFLAGS="$(CFLAGS_NOMAP)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread\
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --libdir=/$(libtriplet) --sysdatadir=/$(libtriplet)/pari \
             --includedir=/$(inctriplet) \
-            --builddir=obj-cfg --graphic=X11 --with-gmp 
+            --builddir=obj-cfg --graphic=X11 --with-gmp
 	CC=cc CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
@@ -117,7 +117,7 @@
 	dh_testroot
 	if [ -f doc/Makefile ]; then $(MAKE) clean -C doc; fi
 	-rm -rf obj-dyn obj-sta obj-dbg obj-lto obj-cfg
-	-rm -f gp Makefile* examples/Makefile* 
+	-rm -f gp Makefile* examples/Makefile*
 	-rm -f doc/Makefile doc/gphelp doc/paricfg.tex
 	-rm -f misc/tex2mail
 	-rm -f pari.log
@@ -167,7 +167,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installdocs -p pari-gp CHANGES-2.10 CHANGES-2.8
+	dh_installdocs -p pari-gp CHANGES-2.12 CHANGES-2.10 CHANGES-2.8
 	dh_installmenu
 	dh_installchangelogs CHANGES
 	dh_link
@@ -187,6 +187,6 @@
 	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
 
 binary: binary-arch binary-indep
-.PHONY: clean binary-indep binary-arch binary config 
-.PHONY: install install-indep install-arch 
+.PHONY: clean binary-indep binary-arch binary config
+.PHONY: install install-indep install-arch
 .PHONY: build build-arch build-indep
