## pari 2.15.2

=== debian/changelog ===
pari (2.15.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bill Allombert <ballombe@debian.org>  Sun, 08 Jan 2023 16:26:01 +0100

pari (2.15.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - patch: typo-in-get_maxord: removed, applied upstream
  * debian/control:
    - Bump Standards-Version to 4.6.1.

 -- Bill Allombert <ballombe@debian.org>  Sat, 31 Dec 2022 11:59:45 +0100

pari (2.15.1-1) unstable; urgency=medium

  * New upstream release.
  * New patch: typo-in-get_maxord: from upstream, fix typo
  * debian/rules:
   - fail the build if the test-suite fails.

 -- Bill Allombert <ballombe@debian.org>  Wed, 09 Nov 2022 15:25:16 +0100

pari (2.15.1~pre1-1) unstable; urgency=medium

  * New upstream release.
    - patch: missing-indentation: removed, merged upstream

 -- Bill Allombert <ballombe@debian.org>  Wed, 02 Nov 2022 11:40:18 +0100

pari (2.15.0-2) unstable; urgency=medium

  * New patch: missing-indentation.
    From Sébastien Villemot. Closes: #1020613

 -- Bill Allombert <ballombe@debian.org>  Sat, 24 Sep 2022 15:20:00 +0200

pari (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Add dump_dif=1 to tests for better diagnosis
  * debian/control:
    - add Build-Depends on pari-nflistdata for test.

 -- Bill Allombert <ballombe@debian.org>  Mon, 05 Sep 2022 13:35:37 +0200
