=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,9 @@
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 export LC_ALL = C
 #Architecture
-#PARI use sparcv8_micro for Debian/sparc and sparcv9 for Debian/sparc64
-#
 PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+PARI_CPU:=$(if $(findstring $(PARI_CPU),i586),i386,$(PARI_CPU))
+PARI_CPU:=$(if $(findstring $(PARI_CPU),i686),i386,$(PARI_CPU))
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc),sparcv8_micro,$(PARI_CPU))
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc64),sparcv9,$(PARI_CPU))
 #Catch mips/mipsel
@@ -31,16 +31,20 @@
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-CFLAGS_DBG = -g -O0 -Wall -fno-strict-aliasing
+ifeq ($(PARI_CPU),i386)
+CFLAGS_i386 := -mpc64
+endif
+
+CFLAGS_DBG = -g -O0 -Wall -fno-strict-aliasing -ffp-contract=off $(CFLAGS_i386)
 
 DBGMAP = -fdebug-prefix-map=$(CURDIR)=.
 LDFLAGS = -Wl,-z,relro
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS_NOMAP = $(DBGCFLAGS)
+CFLAGS_NOMAP = $(CFLAGS_DBG)
 CFLAGS = $(CFLAGS_NOMAP) $(DBGMAP)
 CFLAGS_LTO = $(CFLAGS)
 else
-CFLAGS_NOMAP = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
+CFLAGS_NOMAP = -g -O3 -Wall -fno-strict-aliasing -ffp-contract=off $(CFLAGS_i386)
 CFLAGS = $(CFLAGS_NOMAP) $(DBGMAP)
 CFLAGS_LTO = $(CFLAGS) -flto
 endif
@@ -53,7 +57,7 @@
 CC := `which $(CC)`
 endif
 
-libpkg = libpari-gmp-tls7
+libpkg = libpari-gmp-tls8
 libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 inctriplet = usr/include/$(DEB_HOST_MULTIARCH)
 
@@ -102,9 +106,9 @@
 	$(MAKE) -C obj-lto gp-sta RUNPTH=
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C obj-dyn gp-dyn
-	$(MAKE) dobench -C obj-dyn
-	$(MAKE) dobench -C obj-sta
-	$(MAKE) statest-all -C obj-dyn || true
+	$(MAKE) dobench -C obj-dyn dump_dif=1
+	$(MAKE) dobench -C obj-sta dump_dif=1
+	$(MAKE) statest-all -C obj-dyn dump_dif=1
 endif
 	touch build-arch-stamp
